# objects.tcl


# ----- Begin output of [objserialize :models]

objcreate {s_model_obj} {:models:arch_glacier} \
	{-filename} {arch_glacier.obj.strip}

objcreate {s_model_obj} {:models:outcropping_glacier1} \
	{-filename} {outcropping_glacier1.obj.strip}

objcreate {s_model_obj} {:models:outcropping_glacier1_low} \
	{-filename} {outcropping_glacier1_low.bmp.obj.strip}

objcreate {s_model_obj} {:models:outcropping_glacier2} \
	{-filename} {outcropping_glacier2.obj.strip}

objcreate {s_model_obj} {:models:outcropping_glacier2_low} \
	{-filename} {outcropping_glacier2_low.obj.strip}
	
objcreate {s_model_obj} {:models:outcropping_glacier3} \
	{-filename} {outcropping_glacier3.obj.strip}
	
objcreate {s_model_obj} {:models:outcropping_glacier3_low} \
	{-filename} {outcropping_glacier3_low.obj.strip}

objcreate {s_model_obj} {:models:overhang_glacier} \
	{-filename} {overhang_glacier.obj.strip}

objcreate {s_model_obj} {:models:overhang_glacier_low} \
	{-filename} {overhang_glacier_low.obj.strip}

objcreate {s_model_obj} {:models:outcropping_glacier4} \
	{-filename} {outcropping_glacier4.obj.strip}
	
objcreate {s_model_obj} {:models:snowcover_straight} \
	{-filename} {snowcover_straight.obj.strip}

objcreate {s_model_obj} {:models:snowcover_right} \
	{-filename} {snowcover_right.obj.strip}

objcreate {s_model_obj} {:models:snowcover_left} \
	{-filename} {snowcover_left.obj.strip}

objcreate {s_model_obj} {:models:tunnel_left} \
	{-filename} {tunnel_left.obj.strip}
	
objcreate {s_model_obj} {:models:tunnel_right} \
	{-filename} {tunnel_right.obj.strip}

objcreate {s_model_obj} {:models:tunnel_straight} \
	{-filename} {tunnel_straight.obj.strip}
	
objcreate {s_model_obj} {:models:tunnel_opening} \
	{-filename} {tunnel_opening.obj.strip}
	
objcreate {s_model_obj} {:models:tunnel_opening_low} \
	{-filename} {tunnel_opening_low.obj.strip}

objcreate {s_model_obj} {:models:tunnel_opening2} \
	{-filename} {tunnel_opening2.obj.strip}
	
objcreate {s_model_obj} {:models:waterfall_glacier1} \
	{-filename} {waterfall_glacier1.obj.strip}

# ----- End output of [objserialize :objects]

# ----- Begin output of [objserialize :collidables]

objcreate {s_collidable_obj} {:collidables:arch_glacier} \
	{-model} {:models:arch_glacier} \
	{-friction_coeff} {0.3}

objcreate {s_collidable_obj} {:collidables:outcropping_glacier1} \
	{-model} {:models:outcropping_glacier1} \
	{-friction_coeff} {0.3}

objcreate {s_collidable_obj} {:collidables:outcropping_glacier2} \
	{-model} {:models:outcropping_glacier2} \
	{-friction_coeff} {0.3}

objcreate {s_collidable_obj} {:collidables:outcropping_glacier3} \
	{-model} {:models:outcropping_glacier3} \
	{-friction_coeff} {0.3}

objcreate {s_collidable_obj} {:collidables:outcropping_glacier4} \
	{-model} {:models:outcropping_glacier4} \
	{-friction_coeff} {0.3}
	
objcreate {s_collidable_obj} {:collidables:overhang_glacier} \
	{-model} {:models:overhang_glacier} \
	{-friction_coeff} {0.3}
	
objcreate {s_collidable_obj} {:collidables:tunnel_left} \
	{-model} {:models:tunnel_left} \
	{-friction_coeff} {0.8}

objcreate {s_collidable_obj} {:collidables:tunnel_right} \
	{-model} {:models:tunnel_right} \
	{-friction_coeff} {0.3}

objcreate {s_collidable_obj} {:collidables:tunnel_straight} \
	{-model} {:models:tunnel_straight} \
	{-friction_coeff} {0.3}

objcreate {s_collidable_obj} {:collidables:tunnel_opening} \
	{-model} {:models:tunnel_opening} \
	{-friction_coeff} {0.3}

objcreate {s_collidable_obj} {:collidables:tunnel_opening2} \
	{-model} {:models:tunnel_opening2} \
	{-friction_coeff} {0.3}
	
objcreate {s_collidable_obj} {:collidables:waterfall_glacier1} \
	{-model} {:models:waterfall_glacier1} \
	{-friction_coeff} {0.3}

# ----- End output of [objserialize :collidables]

# ----- Begin output of [objserialize :objects]

objcreate {s_object3d} {:objects:arch_glacier} \
	{-drawable_model} {:models:arch_glacier} \
	{-texture} {:textures:object:arch_glacier} \
	{-collidable_object} {:collidables:arch_glacier} \
	{-collision_response_list} {:collision_responses:physics :collision_responses:rock_hit_sound} \
	-envmap_alpha 0.2 \
	-envmap_texture :textures:envmap \
	-envmap_alpha_texture :textures:object:arch_glacier_env
	
objcreate {s_object3d} {:objects:outcropping_glacier1} \
	{-drawable_model} {:models:outcropping_glacier1} \
	{-texture} {:textures:object:outcropping_glacier1} \
	-lowres_distance 100.0 \
	-lowres_model :models:outcropping_glacier1_low \
	{-collidable_object} {:collidables:outcropping_glacier1} \
	{-collision_response_list} {:collision_responses:physics :collision_responses:rock_hit_sound} \
	-envmap_alpha 0.2 \
	-envmap_texture :textures:envmap \
	-envmap_alpha_texture :textures:object:outcropping_glacier1_env

objcreate {s_object3d} {:objects:outcropping_glacier2} \
	{-drawable_model} {:models:outcropping_glacier2} \
	{-texture} {:textures:object:outcropping_glacier2} \
	-lowres_distance 100.0 \
	-lowres_model :models:outcropping_glacier2_low \
	{-collidable_object} {:collidables:outcropping_glacier2} \
	{-collision_response_list} {:collision_responses:physics :collision_responses:rock_hit_sound} \
	-envmap_alpha 0.2 \
	-envmap_texture :textures:envmap \
	-envmap_alpha_texture :textures:object:outcropping_glacier2_env

objcreate {s_object3d} {:objects:outcropping_glacier3} \
	{-drawable_model} {:models:outcropping_glacier3} \
	-lowres_distance 100.0 \
	-lowres_model :models:outcropping_glacier3_low \
	{-texture} {:textures:object:outcropping_glacier3} \
	{-collidable_object} {:collidables:outcropping_glacier3} \
	{-collision_response_list} {:collision_responses:physics :collision_responses:rock_hit_sound} \
	-envmap_alpha 0.2 \
	-envmap_texture :textures:envmap \
	-envmap_alpha_texture :textures:object:outcropping_glacier3_env

objcreate {s_object3d} {:objects:outcropping_glacier4} \
	{-drawable_model} {:models:outcropping_glacier4} \
	{-texture} {:textures:object:outcropping_glacier4} \
	{-collidable_object} {:collidables:outcropping_glacier4} \
	{-collision_response_list} {:collision_responses:physics :collision_responses:rock_hit_sound} \
	-envmap_alpha 0.2 \
	-envmap_texture :textures:envmap \
	-envmap_alpha_texture :textures:object:outcropping_glacier4_env

objcreate {s_object3d} {:objects:overhang_glacier} \
	{-drawable_model} {:models:overhang_glacier} \
	{-texture} {:textures:object:overhang_glacier} \
	-lowres_distance 100.0 \
	-lowres_model :models:overhang_glacier_low \
	{-collidable_object} {:collidables:overhang_glacier} \
	{-collision_response_list} {:collision_responses:physics :collision_responses:rock_hit_sound} \
	-envmap_alpha 0.2 \
	-envmap_texture :textures:envmap \
	-envmap_alpha_texture :textures:object:overhang_glacier_env

objcreate {s_object3d} {:objects:snowcover_straight} \
	{-drawable_model} {:models:snowcover_straight} \
	{-texture} {:textures:object:snow} 

objcreate {s_object3d} {:objects:snowcover_left} \
	{-drawable_model} {:models:snowcover_left} \
	{-texture} {:textures:object:snow} 

objcreate {s_object3d} {:objects:snowcover_right} \
	{-drawable_model} {:models:snowcover_right} \
	{-texture} {:textures:object:snow} 

objcreate {s_object3d} {:objects:tunnel_left} \
	{-drawable_model} {:models:tunnel_left} \
	{-texture} {:textures:object:deepice} \
	{-collidable_object} {:collidables:tunnel_left} \
	{-collision_response_list} {:collision_responses:physics :collision_responses:rock_hit_sound} \
	-envmap_alpha 0.2 \
	-envmap_texture :textures:envmap

objcreate {s_object3d} {:objects:tunnel_right} \
	{-drawable_model} {:models:tunnel_right} \
	{-texture} {:textures:object:deepice} \
	{-collidable_object} {:collidables:tunnel_right} \
	{-collision_response_list} {:collision_responses:physics :collision_responses:rock_hit_sound} \
	-envmap_alpha 0.2 \
	-envmap_texture :textures:envmap

objcreate {s_object3d} {:objects:tunnel_straight} \
	{-drawable_model} {:models:tunnel_straight} \
	{-texture} {:textures:object:deepice} \
	{-collidable_object} {:collidables:tunnel_straight} \
	{-collision_response_list} {:collision_responses:physics :collision_responses:rock_hit_sound} \
	-envmap_alpha 0.2 \
	-envmap_texture :textures:envmap


objcreate {s_object3d} {:objects:tunnel_opening} \
	{-drawable_model} {:models:tunnel_opening} \
	{-texture} {:textures:object:tunnel_opening} \
	-lowres_distance 100.0 \
	-lowres_model :models:tunnel_opening_low \
	{-collidable_object} {:collidables:tunnel_opening} \
	{-collision_response_list} {:collision_responses:physics :collision_responses:rock_hit_sound} \
	-envmap_alpha 0.2 \
	-envmap_texture :textures:envmap \
	-envmap_alpha_texture :textures:object:tunnel_opening_env

objcreate {s_object3d} {:objects:tunnel_opening2} \
	{-drawable_model} {:models:tunnel_opening2} \
	{-texture} {:textures:object:tunnel_opening2} \
	{-collidable_object} {:collidables:tunnel_opening2} \
	{-collision_response_list} {:collision_responses:physics :collision_responses:rock_hit_sound} \
	-envmap_alpha 0.2 \
	-envmap_texture :textures:envmap \
	-envmap_alpha_texture :textures:object:tunnel_opening2_env

objcreate {s_object3d} {:objects:waterfall_glacier1} \
	{-drawable_model} {:models:waterfall_glacier1} \
	{-texture} {:textures:object:waterfall_glacier1} \
	{-collidable_object} {:collidables:waterfall_glacier1} \
	{-collision_response_list} {:collision_responses:physics :collision_responses:rock_hit_sound}

objcreate {s_object3d} {:objects:snd_waterfall} \
	{-drawable_model} {:models:billboard} \
	{-texture} {:textures:object:speaker} \
	-billboard 1 \
	-height 5 \
	-sound_emitter 1 \
	-sound_action :actions:sounds:waterfall

objcreate {s_object3d} {:objects:snd_dripping_water} \
	{-drawable_model} {:models:billboard} \
	{-texture} {:textures:object:speaker} \
	-billboard 1 \
	-height 5 \
	-sound_emitter 1 \
	-sound_action :actions:sounds:dripping_water \
	-sound_delay 2 \
	-sound_delay_variance 4


# ----- Begin output of [objserialize :palette]
objcreate {s_object3d_palette} {:palette} \
	{-mappings} {\
	{(255, 128, 255) => :objects:reset} \
	{(255, 255, 255) => :objects:tree} \
	{(194,  40,  40) => :objects:flag} \
	{( 28, 185, 204) => :objects:herring} \
    }
# ----- End output of [objserialize :palette]
